curl --request PUT \
--url https://billing.basaltic.sh/v1/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"country": "BR",
"tax_id": "<string>",
"foreign_tax_id": "<string>",
"no_tax_id_reason": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"street_name": "<string>",
"street_number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"municipality_code": "3550308",
"state": "<string>",
"postal_code": "<string>"
}
'import requests
url = "https://billing.basaltic.sh/v1/profile"
payload = {
"company_name": "<string>",
"country": "BR",
"tax_id": "<string>",
"foreign_tax_id": "<string>",
"no_tax_id_reason": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"street_name": "<string>",
"street_number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"municipality_code": "3550308",
"state": "<string>",
"postal_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: '<string>',
country: 'BR',
tax_id: '<string>',
foreign_tax_id: '<string>',
no_tax_id_reason: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
street_name: '<string>',
street_number: '<string>',
complement: '<string>',
neighborhood: '<string>',
city: '<string>',
municipality_code: '3550308',
state: '<string>',
postal_code: '<string>'
})
};
fetch('https://billing.basaltic.sh/v1/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_type": "",
"company_name": "<string>",
"country": "BR",
"tax_id": "<string>",
"foreign_tax_id": "<string>",
"no_tax_id_reason": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"street_name": "<string>",
"street_number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"municipality_code": "3550308",
"state": "<string>",
"postal_code": "<string>",
"ready": true,
"missing_fields": [
"<string>"
]
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Salvar detalhes de faturamento da organização
Substitui os detalhes de faturamento para futuros documentos fiscais. Os documentos preparados ou emitidos existentes mantêm o instantâneo do destinatário. Um perfil completo termina a etapa de integração de detalhes de faturamento e permite que os fluxos de trabalho fiscais em espera prossigam.
billing:UpdateBillingProfile. Consulte permissões de faturamento para obter a lista completa, o que cada uma cobre e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Corpo
Destinatário de faturamento da organização. Os rascunhos incompletos são salvos; pronto se torna verdadeiro somente depois que todos os campos específicos do país são válidos. A nova integração é concluída após essa etapa.
, individual, company Nome legal completo do indivíduo ou empresa.
75Códigos de país ISO 3166-1 alpha-2.
2"BR"
CPF para um indivíduo brasileiro ou CNPJ para uma empresa brasileira. Os dígitos de verificação são validados.
Identificador estrangeiro; não validado como documento brasileiro.
50Necessário para um destinatário estrangeiro sem identificação fiscal.
100E-mail de cobrança para entrega de fatura fiscal. O formulário de integração pré-preenche isso a partir do e-mail do usuário conectado.
755050103030100Código de município de sete dígitos do IBGE, necessário para um beneficiário brasileiro.
"3550308"
UF de duas letras para o Brasil; estado/província de forma livre no exterior.
100CEP de oito dígitos para o Brasil; código postal internacional opcional no exterior.
20Resposta
Detalhes salvos, prontidão e campos ausentes.
Destinatário de faturamento da organização. Os rascunhos incompletos são salvos; pronto se torna verdadeiro somente depois que todos os campos específicos do país são válidos. A nova integração é concluída após essa etapa.
, individual, company Nome legal completo do indivíduo ou empresa.
75Códigos de país ISO 3166-1 alpha-2.
2"BR"
CPF para um indivíduo brasileiro ou CNPJ para uma empresa brasileira. Os dígitos de verificação são validados.
Identificador estrangeiro; não validado como documento brasileiro.
50Necessário para um destinatário estrangeiro sem identificação fiscal.
100E-mail de cobrança para entrega de fatura fiscal. O formulário de integração pré-preenche isso a partir do e-mail do usuário conectado.
755050103030100Código de município de sete dígitos do IBGE, necessário para um beneficiário brasileiro.
"3550308"
UF de duas letras para o Brasil; estado/província de forma livre no exterior.
100CEP de oito dígitos para o Brasil; código postal internacional opcional no exterior.
20
